summaryrefslogtreecommitdiffstats
path: root/bin/chroot-run.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2016-11-14 10:42:57 +0100
committerHolger Levsen <holger@layer-acht.org>2016-11-14 10:42:57 +0100
commit7ea0af034178d6bdda56b66f9fcd53c496f92d27 (patch)
treef1a43b7667e99173f2d7582a80416eef6eea7e19 /bin/chroot-run.sh
parent986056c99b645509606f74030c44bb239096aead (diff)
downloadjenkins.debian.net-7ea0af034178d6bdda56b66f9fcd53c496f92d27.tar.xz
Revert "fix debootstrap fallout"
This reverts commit ea5e63df93c41a39477950685d0532e0fb0db95b.
Diffstat (limited to 'bin/chroot-run.sh')
-rwxr-xr-xbin/chroot-run.sh5
1 files changed, 2 insertions, 3 deletions
diff --git a/bin/chroot-run.sh b/bin/chroot-run.sh
index 6dcbcbbf..3e391483 100755
--- a/bin/chroot-run.sh
+++ b/bin/chroot-run.sh
@@ -46,7 +46,6 @@ if [ -z "$CHROOT_TARGET" ]; then
echo "Could not create a directory to create the chroot in, aborting."
exit 1
fi
-chmod 755 "$CHROOT_TARGET"
export CURDIR=$(pwd)
@@ -57,7 +56,7 @@ bootstrap() {
local TMPLOG=$(mktemp -p $CHROOT_BASE/ chroot-run-$DISTRO.XXXXXXXXX)
echo "$(date -u ) - bootstraping $DISTRO into $CHROOT_TARGET now."
set +e
- sudo debootstrap --no-merged-usr $BOOTSTRAP_OPTIONS $DISTRO $CHROOT_TARGET $MIRROR | tee $TMPLOG
+ sudo debootstrap $BOOTSTRAP_OPTIONS $DISTRO $CHROOT_TARGET $MIRROR | tee $TMPLOG
local RESULT=$(egrep "E: (Couldn't download packages|Invalid Release signature)" $TMPLOG || true )
rm $TMPLOG
set -e
@@ -65,7 +64,7 @@ bootstrap() {
echo "$(date -u) - initial debootstrap failed, sleeping 5min before retrying..."
sudo rm -rf --one-file-system $CHROOT_TARGET
sleep 5m
- if ! sudo debootstrap --no-merged-usr $BOOTSTRAP_OPTIONS $DISTRO $CHROOT_TARGET $MIRROR ; then
+ if ! sudo debootstrap $BOOTSTRAP_OPTIONS $DISTRO $CHROOT_TARGET $MIRROR ; then
SLEEPTIME="30m"
echo "$(date -u ) - debootstrap failed, slowing down, sleeping $SLEEPTIME now..."
sleep $SLEEPTIME